package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.SecurityPolicyModel;

public interface SecurityPolicyProvider extends SuperProvider {

    /**
     * 创建安全策略
     *
     * @param securityPolicyModel 安全策略
     * @return
     */
    BocloudResult create(SecurityPolicyModel securityPolicyModel, boolean isDynamic);

    BocloudResult delete(Long policyId);

    BocloudResult move(Long policyId, String type);
}
